# Svix Emporix Shared Account

## Retrieving a dashboard access URL

> Retrieves a Svix magic login link (authentication embedded) and an authentication token needed to connect a tenant to their consumer application portal.

```json
{"openapi":"3.0.0","info":{"title":"Webhook Service","version":"0.0.1"},"tags":[{"name":"Svix Emporix Shared Account"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":["webhook.subscription_manage"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"scopes":{"webhook.subscription_read":"Needed to read subscriptions.","webhook.subscription_manage":"Needed to manage subscriptions."},"tokenUrl":"https://api.emporix.io/oauth/token"}}}},"schemas":{"DashboardAccess":{"type":"object","properties":{"url":{"type":"string","description":"Svix application dashboard access URL with embedded authentication."},"token":{"type":"string","description":"Authentication token for accessing the Svix application dashboard."}}},"ErrorMessage":{"title":"Error message","description":"Object returned in error responses.","type":"object","properties":{"code":{"description":"Original HTTP error code. Must be consistent with the response HTTP code.","type":"integer"},"status":{"type":"string"},"message":{"description":"Descriptive error message for debugging.","type":"string"},"details":{"description":"List of problems causing the error.","type":"array","items":{"type":"string"}}},"required":["code","status"]}},"responses":{"Unauthorized_401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"Forbidden_403":{"description":"Given authorization scopes are not sufficient and do not match the scopes required by the endpoint.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"NotFound_404":{"description":"The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"InternalServerError_500":{"description":"Some server-side error occurred. Details are provided in the response payload.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}},"paths":{"/webhook/{tenant}/dashboard-access":{"get":{"summary":"Retrieving a dashboard access URL","tags":["Svix Emporix Shared Account"],"responses":{"200":{"description":"","headers":{"Content-Type":{"schema":{"type":"string"},"description":"application/json"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardAccess"}}}},"401":{"$ref":"#/components/responses/Unauthorized_401"},"403":{"$ref":"#/components/responses/Forbidden_403"},"404":{"$ref":"#/components/responses/NotFound_404"},"500":{"$ref":"#/components/responses/InternalServerError_500"}},"operationId":"GET-webhook-access-tenant-svix","description":"Retrieves a Svix magic login link (authentication embedded) and an authentication token needed to connect a tenant to their consumer application portal."}}}}
```

## Retrieving webhooks statistics

> Retrieves statistics on the number of emitted events and provides information on the limit of webhook notifications configured for a specific tenant.

```json
{"openapi":"3.0.0","info":{"title":"Webhook Service","version":"0.0.1"},"tags":[{"name":"Svix Emporix Shared Account"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":["webhook.subscription_read"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"scopes":{"webhook.subscription_read":"Needed to read subscriptions.","webhook.subscription_manage":"Needed to manage subscriptions."},"tokenUrl":"https://api.emporix.io/oauth/token"}}}},"schemas":{"WebhookStatistics":{"title":"Webhooks limit statistics","type":"object","properties":{"monthStatistics":{"type":"array","items":{"$ref":"#/components/schemas/MonthStatistics"}},"webhooksLimit":{"type":"integer","description":"Maximum number of events that the tenant is allowed to send in a specified month."}}},"MonthStatistics":{"title":"Webhook monthly statistics","type":"object","properties":{"statisticsMonth":{"type":"string","description":"Month for which statistics should be retrieved, provided in the \"YYYY-MM\" format."},"succesfullySentWebhooks":{"type":"integer","description":"Number of events sent successfully to the customer's configured endpoints."}}},"ErrorMessage":{"title":"Error message","description":"Object returned in error responses.","type":"object","properties":{"code":{"description":"Original HTTP error code. Must be consistent with the response HTTP code.","type":"integer"},"status":{"type":"string"},"message":{"description":"Descriptive error message for debugging.","type":"string"},"details":{"description":"List of problems causing the error.","type":"array","items":{"type":"string"}}},"required":["code","status"]}},"responses":{"Unauthorized_401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"Forbidden_403":{"description":"Given authorization scopes are not sufficient and do not match the scopes required by the endpoint.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"InternalServerError_500":{"description":"Some server-side error occurred. Details are provided in the response payload.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"parameters":{"from_month":{"name":"fromYearMonth","in":"query","required":false,"schema":{"type":"string"},"description":"Month from which statistics should be retrieved.\n\n**Note**: The value should be provided in the \"YYYY-MM\" format.\n"},"to_month":{"name":"toYearMonth","in":"query","required":false,"schema":{"type":"string"},"description":"Month to which statistics should be retrieved.\n\n**Note**: The value should be provided in the \"YYYY-MM\" format.\n"}}},"paths":{"/webhook/{tenant}/statistics":{"get":{"summary":"Retrieving webhooks statistics","responses":{"200":{"description":"OK","headers":{"Content-Type":{"schema":{"type":"string"},"description":"application/json"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookStatistics"}}}},"401":{"$ref":"#/components/responses/Unauthorized_401"},"403":{"$ref":"#/components/responses/Forbidden_403"},"500":{"$ref":"#/components/responses/InternalServerError_500"}},"operationId":"GET-webhook-retrieve-statistics","description":"Retrieves statistics on the number of emitted events and provides information on the limit of webhook notifications configured for a specific tenant.","parameters":[{"$ref":"#/components/parameters/from_month"},{"$ref":"#/components/parameters/to_month"}],"tags":["Svix Emporix Shared Account"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/api-references-1/readme/api-reference-41/svix-emporix-shared-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
